Work around clang compilation problem in Boost 1.46 needed for higher versions? #1968

Closed
Diapolo opened this Issue Oct 30, 2012 · 3 comments

Comments

Projects
None yet
2 participants

Diapolo commented Oct 30, 2012

Saw it in the code and I'm asking myself if this is also needed for Boost versions > 1.46? We could add a boost version check if it's not needed IMO.

https://github.com/bitcoin/bitcoin/blob/master/src/util.cpp#L14

Diapolo commented Nov 4, 2012

@laanwj You added this a few months ago, so perhaps you can comment here?

Owner

laanwj commented Nov 4, 2012

No idea, and I don't have time to investigate this either.
(it's just a predefinition of a function so I think it is impossible that it hurts anything, so let's just leave it in for a year or two)

Diapolo commented Jan 26, 2013

Should be removed in the future then, closing this.

Diapolo closed this Jan 26, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment